Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.message
Class BaseMessageDTO

    java.lang.Object
      org.mule.message.BaseMessageDTO

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  DefaultMuleMessageDTO, ExceptionMessage

    public class BaseMessageDTO

extends Object
implements Serializable

`BaseMessage` A default message implementation used for messages sent over the wire. client messages must NOT implement MuleMessage.

See Also:
  Serialized Form

Field Summary
`protected Object` | `payload`
`protected Map<String,Object>` | `properties`

Constructor Summary
`BaseMessageDTO()`
`BaseMessageDTO(Object payload)`

Method Summary
`void` | `addProperties(Map<String,Object> properties)` Adds a map of properties to associated with this message
`void` | `clearProperties()` Removes all properties on this message
`Object` | `getPayload()`
`Map` | `getProperties()` Returns a map of all properties on this message
`Object` | `getProperty(String key)`
`void` | `setPayload(Object payload)`
`void` | `setProperty(String key, Object value)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### payload

    protected Object payload

### properties

    protected Map<String,Object> properties

Constructor Detail

### BaseMessageDTO

    public BaseMessageDTO()

### BaseMessageDTO

    public BaseMessageDTO(Object payload)

Method Detail

### setPayload

    public void setPayload(Object payload)

### getPayload

    public Object getPayload()

  Returns:
    the current message

### addProperties

    public void addProperties(Map<String,Object> properties)

  Adds a map of properties to associated with this message

  Parameters:
    `properties` - the properties add to this message

### clearProperties

    public void clearProperties()

  Removes all properties on this message

### getProperties

    public Map getProperties()

  Returns a map of all properties on this message

  Returns:
    a map of all properties on this message

### setProperty

    public void setProperty(String key,
                            Object value)

### getProperty

    public Object getProperty(String key)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.